My Project: dht::Select Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
dht::Select Class Reference

Serializable Value field selection. More...

`#include <value.h>`

## Public Member Functions
| Select (std::string_view q_str)
bool | isSatisfiedBy (const Select &os) const
Select & | field (Value::Field field)
std::set< Value::Field > | getSelection () const
template<typename Packer>
void | msgpack_pack (Packer &pk) const
void | msgpack_unpack (const msgpack::object &o)
std::string | toString () const
bool | empty () const

## Friends
OPENDHT_PUBLIC friend std::ostream & | operator<< (std::ostream &s, const dht::Select &q)

## Detailed Description

Serializable Value field selection.

This is a container for a list of FieldSelectorDescription instances. It describes a complete SELECT query for dht::Value.

Definition at line 792 of file value.h.

## Constructor & Destructor Documentation

## ◆ Select()

dht::Select::Select | ( |  | ) |
| inline

Definition at line 794 of file value.h.

## Member Function Documentation

## ◆ empty()

bool dht::Select::empty | ( |  | ) | const
| inline

Definition at line 834 of file value.h.

## ◆ field()

Select & dht::Select::field | ( | Value::Field | field | ) |
| inline

Selects a field of type Value::Field.

Parameters

  field | the field to require.

Returns
  the resulting Select instance.

Definition at line 806 of file value.h.

## ◆ getSelection()

std::set< Value::Field > dht::Select::getSelection | ( |  | ) | const
| inline

Computes the set of selected fields based on previous require* calls.

Returns
  the set of fields.

Definition at line 818 of file value.h.

## ◆ msgpack_pack()

template<typename Packer>

void dht::Select::msgpack_pack | ( | Packer & | pk | ) | const
| inline

Definition at line 821 of file value.h.

## ◆ msgpack_unpack()

void dht::Select::msgpack_unpack | ( | const msgpack::object & | o | ) |
| inline

Definition at line 825 of file value.h.

## ◆ toString()

std::string dht::Select::toString | ( |  | ) | const
| inline

Definition at line 827 of file value.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/value.h